Bug 171677 - [GTK][WPE] Bump GStreamer version to 1.12 in jhbuild
Summary: [GTK][WPE] Bump GStreamer version to 1.12 in jhbuild
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: Other
Hardware: PC Linux
: P2 Normal
Assignee: Carlos Alberto Lopez Perez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-05-04 11:01 PDT by Michael Catanzaro
Modified: 2017-12-12 06:58 PST (History)
9 users (show)

See Also:


Attachments
Patch (53.75 KB, patch)
2017-12-12 04:34 PST, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff
Patch (53.74 KB, patch)
2017-12-12 04:43 PST, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Catanzaro 2017-05-04 11:01:41 PDT
Bump GStreamer version to 1.12 in jhbuild: https://gstreamer.freedesktop.org/releases/1.12/

We had some pretty bad timing on the 1.10.4 upgrade. ;) It's very important to test with the latest version.
Comment 1 Carlos Alberto Lopez Perez 2017-05-04 11:30:17 PDT
When doing this, most likely the patch gst-plugins-good-0001-rtpbin-pipeline-gets-an-EOS-when-any-rtpsources-byes.patch has to be recovered back. Check: 

https://bugs.webkit.org/show_bug.cgi?id=171595#c13
Comment 2 Carlos Garcia Campos 2017-05-04 23:06:31 PDT
I don't think the idea of the new policy is to always use the latest stable version as soon as it's released. The idea of the policy is to try to test with versions as close as possible to what most of the users will end up using. That's why I proposed to bump versions at the beginning of the cycle to the current stable version, that hopefully would be .1 at the time. In bug #170500 I proposed versions bumps checking also what distros ship. So, I would wait a bit before using gst 1.12 that was released yesterday. We all know that the actual stable version is not usually .0 but .1 or even .2.
Comment 3 Xabier Rodríguez Calvar 2017-05-05 01:08:04 PDT
(In reply to Carlos Garcia Campos from comment #2)
> I don't think the idea of the new policy is to always use the latest stable
> version as soon as it's released. The idea of the policy is to try to test
> with versions as close as possible to what most of the users will end up
> using. That's why I proposed to bump versions at the beginning of the cycle
> to the current stable version, that hopefully would be .1 at the time. In
> bug #170500 I proposed versions bumps checking also what distros ship. So, I
> would wait a bit before using gst 1.12 that was released yesterday. We all
> know that the actual stable version is not usually .0 but .1 or even .2.

Exactly.
Comment 4 Michael Catanzaro 2017-05-05 05:47:40 PDT
(In reply to Carlos Garcia Campos from comment #2)
> I don't think the idea of the new policy is to always use the latest stable
> version as soon as it's released. The idea of the policy is to try to test
> with versions as close as possible to what most of the users will end up
> using. That's why I proposed to bump versions at the beginning of the cycle
> to the current stable version, that hopefully would be .1 at the time. In
> bug #170500 I proposed versions bumps checking also what distros ship. So, I
> would wait a bit before using gst 1.12 that was released yesterday. We all
> know that the actual stable version is not usually .0 but .1 or even .2.

I think that usually works, but this time around GStreamer and GNOME release cycles seem to no longer be in sync. We are definitely going to be shipping GStreamer 1.12 to Fedora users next month.
Comment 5 Carlos Garcia Campos 2017-05-05 06:01:04 PDT
(In reply to Michael Catanzaro from comment #4)
> (In reply to Carlos Garcia Campos from comment #2)
> > I don't think the idea of the new policy is to always use the latest stable
> > version as soon as it's released. The idea of the policy is to try to test
> > with versions as close as possible to what most of the users will end up
> > using. That's why I proposed to bump versions at the beginning of the cycle
> > to the current stable version, that hopefully would be .1 at the time. In
> > bug #170500 I proposed versions bumps checking also what distros ship. So, I
> > would wait a bit before using gst 1.12 that was released yesterday. We all
> > know that the actual stable version is not usually .0 but .1 or even .2.
> 
> I think that usually works, but this time around GStreamer and GNOME release
> cycles seem to no longer be in sync. We are definitely going to be shipping
> GStreamer 1.12 to Fedora users next month.

Are you going to deal with test failures and bugs in WebKit and/or GST?
Comment 6 Michael Catanzaro 2017-05-05 07:39:29 PDT
I can certainly update expectations and file WebKit bugs.
Comment 7 Carlos Garcia Campos 2017-05-05 08:36:52 PDT
(In reply to Michael Catanzaro from comment #6)
> I can certainly update expectations and file WebKit bugs.

No, I don't want tests skipped forever, but bugs fixed instead.
Comment 8 Michael Catanzaro 2017-05-05 09:33:12 PDT
Well if you prefer not knowing about bugs affecting our users at all, then sure, let's stick with 1.10.4 for a while....
Comment 9 Carlos Alberto Lopez Perez 2017-09-04 09:17:26 PDT
Is now a good time to bump gstreamer modules to 1.12? Debian testing is now shipping 1.12
Comment 10 Xabier Rodríguez Calvar 2017-09-04 23:54:04 PDT
I don't object.
Comment 11 Carlos Garcia Campos 2017-09-05 00:00:51 PDT
Yes, perfect timing.
Comment 12 Carlos Alberto Lopez Perez 2017-12-12 04:34:30 PST
Created attachment 329105 [details]
Patch
Comment 13 Carlos Alberto Lopez Perez 2017-12-12 04:43:36 PST
Created attachment 329107 [details]
Patch

Minor cosmetic fix
Comment 14 Carlos Alberto Lopez Perez 2017-12-12 06:58:13 PST
Comment on attachment 329107 [details]
Patch

Clearing flags on attachment: 329107

Committed r225780: <https://trac.webkit.org/changeset/225780>
Comment 15 Carlos Alberto Lopez Perez 2017-12-12 06:58:19 PST
All reviewed patches have been landed.  Closing bug.